## Bsoft program

# bcolour

### Usage: bcolour [options] input.img output.img

Generates nice colour images.
Only image file formats capable of handling RGB can be used for output (TIFF, PNG, JPEG).

### Actions:

-invert | Invert image.
-red -4.5,88.3 | Convert a grayscale range to red.
-green -4.5,88.3 | Convert a grayscale range to green.
-blue -4.5,88.3 | Convert a grayscale range to blue.
-spectrum 1,22.4 | Convert a grayscale range to a spectral colour scale.
-rwb 0,56,167,245 | Convert a grayscale range to a red, white and blue image.
-phases | Colour the phases in a polar map or complex transform.
-intensities | Calculates the intensities without colours.
-pure | Calculates pure colours without intensity.
-alpha | Add an alpha (transparency) channel.
-noalpha | Remove the alpha (transparency) channel.
-torgb | Convert grayscale or CMYK to RGB.
-tocmyk | Convert grayscale or RGB to CMYK.
-split | Split the channels into individual images.
-combine 3 | Combine channels from individual images.

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-grayextremes | Flag to keep gray extremes beyond colorization limits.

### Input:

-add file.tif | Add this file to the input file (must be the same size).

### Output:

-scale file.tif | Output spectral scale image.
-phasewheel pcw.png | Output a phase color wheel (size 512,512,1).

Bsoft version 2.0.3-20180917 (64 bit)